gnutls_error_to_alert(3)

NAME
gnutls_error_to_alert - This function returns an alert code based on the given error code

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_error_to_alert(int err, int * level);

ARGUMENTS

int err
    is a negative integer

int * level
    the alert level will be stored there

DESCRIPTION
Returns an alert depending on the error code returned by a gnutls function. All alerts sent by this function should be considered fatal. The only exception is when err == GNUTLS_E_REHANDSHAKE, where a warning alert should be sent to the peer indicating that no renegotiation will be performed. If the return value is GNUTLS_E_INVALID_REQUEST, then there was no mapping to an alert.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.